OGRE-Next: Ogre::ConstVectorIterator< T > Class Template Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::ConstVectorIterator< T > Class Template Reference

Concrete IteratorWrapper for const access to the underlying container. More...

`#include <OgreIteratorWrapper.h>`

Inheritance diagram for Ogre::ConstVectorIterator< T >:
[legend]

## Public Member Functions
| ConstVectorIterator (const T &c)
| Constructor.
| ConstVectorIterator (typename T::const_iterator start, typename T::const_iterator last)
| Constructor.
Public Member Functions inherited from Ogre::VectorIteratorWrapper< T, T::const_iterator >
| VectorIteratorWrapper (T::const_iterator start, T::const_iterator last)
| c'tor
ValueType | getNext ()
| Returns the next(=current) value element in the collection, and advances to the next.
ValueType | peekNext () const
| Returns the next(=current) element in the collection, without advancing to the next.
PointerType | peekNextPtr () const
| Returns a pointer to the next(=current) element in the collection, without advancing to the next afterwards.
Public Member Functions inherited from Ogre::IteratorWrapper< T, T::const_iterator, T::value_type >
| IteratorWrapper (T::const_iterator start, T::const_iterator last)
| Constructor.
const T::const_iterator & | begin ()
| Bookmark to the begin of the underlying collection.
T::const_iterator & | current ()
| Full access to the current iterator.
const T::const_iterator & | end ()
| Bookmark to the end (one behind the last element) of the underlying collection.
bool | hasMoreElements () const
| Returns true if there are more items in the collection.
void | moveNext ()
| Moves the iterator on one element.

## Additional Inherited Members
Public Types inherited from Ogre::VectorIteratorWrapper< T, T::const_iterator >
typedef IteratorWrapper< T, T::const_iterator, typenameT::value_type >::PointerType | PointerType
typedef IteratorWrapper< T, T::const_iterator, typenameT::value_type >::ValueType | ValueType
Public Types inherited from Ogre::IteratorWrapper< T, T::const_iterator, T::value_type >
typedef T::const_iterator | const_iterator
| Typedef to fulfill container interface.
typedef T::const_iterator | iterator
| Typedef to fulfill container interface.
typedef T::value_type * | PointerType
| Type you expect to get by funktions like peekNext(Value)Ptr.
typedef T::value_type | ValueType
| Type you expect to get by funktions like peekNext(Value)

## Detailed Description

template<typename T>
class Ogre::ConstVectorIterator< T >

Concrete IteratorWrapper for const access to the underlying container.

Template Parameters

  T | = Container

## Constructor & Destructor Documentation

## ◆ ConstVectorIterator() [1/2]

template<typename T>

Ogre::ConstVectorIterator< T >::ConstVectorIterator | ( | typename T::const_iterator | start,
|  | typename T::const_iterator | last )
| inline

Constructor.

Remarks
  Provide a start and end iterator to initialise.

## ◆ ConstVectorIterator() [2/2]

template<typename T>

Ogre::ConstVectorIterator< T >::ConstVectorIterator | ( | const T & | c | ) |
| inlineexplicit

Constructor.

Remarks
  Provide a container to initialise.

The documentation for this class was generated from the following file:

- OgreIteratorWrapper.h